package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
/**
*买家地址
* @author quyixiao
* @since 2025-10-14
*/

@Data
@TableName("vv_buyer_address")
public class VvBuyerAddressEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvBuyerAddressEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";      // 修改时间
    public final static String contry_ = CLASS_NAME + "contry";               // 国家
    public final static String province_ = CLASS_NAME + "province";           // 省
    public final static String city_ = CLASS_NAME + "city";                   // 市
    public final static String district_ = CLASS_NAME + "district";           // 区/县
    public final static String detail_ = CLASS_NAME + "detail";               // 详细地址
    public final static String buyer_name = CLASS_NAME + "buyer_name";        // 买家名称
    public final static String buyer_id = CLASS_NAME + "buyer_id";            // 买家id
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";    // 买家微信
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";      // 买家手机号
    public final static String status_ = CLASS_NAME + "status";               // 地址状态 ，delete 已经删除，default 默认，common 普通
    public final static String area_code = CLASS_NAME + "area_code";          // 地址编码
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //国家
    private String contry;
    //省
    private String province;
    //市
    private String city;
    //区/县
    private String district;
    //详细地址
    private String detail;
    //买家名称
    private String buyerName;
    //买家id
    private Long buyerId;
    //买家微信
    private String buyerWeixin;
    //买家手机号
    private String buyerPhone;
    //地址状态 ，delete 已经删除，default 默认，common 普通
    private String status;
    //地址编码
    private String areaCode;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 国家 
     * @return
     */
    public String getContry() {
        return contry;
    }
    /**
     * 国家 
     * @param contry
     */
    public void setContry(String contry) {
        this.contry = contry;
    }

    /**
     * 省 
     * @return
     */
    public String getProvince() {
        return province;
    }
    /**
     * 省 
     * @param province
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * 市 
     * @return
     */
    public String getCity() {
        return city;
    }
    /**
     * 市 
     * @param city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * 区/县 
     * @return
     */
    public String getDistrict() {
        return district;
    }
    /**
     * 区/县 
     * @param district
     */
    public void setDistrict(String district) {
        this.district = district;
    }

    /**
     * 详细地址 
     * @return
     */
    public String getDetail() {
        return detail;
    }
    /**
     * 详细地址 
     * @param detail
     */
    public void setDetail(String detail) {
        this.detail = detail;
    }

    /**
     * 买家名称 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名称 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 地址状态 ，delete 已经删除，default 默认，common 普通 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 地址状态 ，delete 已经删除，default 默认，common 普通 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 地址编码 
     * @return
     */
    public String getAreaCode() {
        return areaCode;
    }
    /**
     * 地址编码 
     * @param areaCode
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    @Override
    public String toString() {
        return "VvBuyerAddressEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",contry=" + contry +
                ",province=" + province +
                ",city=" + city +
                ",district=" + district +
                ",detail=" + detail +
                ",buyerName=" + buyerName +
                ",buyerId=" + buyerId +
                ",buyerWeixin=" + buyerWeixin +
                ",buyerPhone=" + buyerPhone +
                ",status=" + status +
                ",areaCode=" + areaCode +
                "}";
    }
}